Subject: Re: [PATCH net v2] liquidio: Fix potential null pointer dereference

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 Mar 2024 15:43:37 -0700

On Fri, 22 Mar 2024 22:57:44 +0300 Aleksandr Mishin wrote:
> In lio_vf_rep_copy_packet() pg_info->page is compared to a NULL value,
> but then it is unconditionally passed to skb_add_rx_frag() which could
> lead to null pointer dereference.
> Fix this bug by moving skb_add_rx_frag() into conditional scope.

The explanation should tell us how the bug can happen, i.e. what
sequence of events leads to null-deref. Not what logic your tool
matched on, perhaps the NULL check is unnecessary.
-- 
pw-bot: cr